<?php
namespace PHPMaker2019\project_germanos;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start(); 

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$courtlocation_addopt = new courtlocation_addopt();

// Run the page
$courtlocation_addopt->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$courtlocation_addopt->Page_Render();
?>
<script>

// Form object
currentPageID = ew.PAGE_ID = "addopt";
var fcourtlocationaddopt = currentForm = new ew.Form("fcourtlocationaddopt", "addopt");

// Validate form
fcourtlocationaddopt.validate = function() {
	if (!this.validateRequired)
		return true; // Ignore validation
	var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
	if ($fobj.find("#confirm").val() == "F")
		return true;
	var elm, felm, uelm, addcnt = 0;
	var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
	var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
	var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = ($k[0]) ? String(i) : "";
		$fobj.data("rowindex", infix);
		<?php if ($courtlocation_addopt->CourtLocation->Required) { ?>
			elm = this.getElements("x" + infix + "_CourtLocation");
			if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
				return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $courtlocation->CourtLocation->caption(), $courtlocation->CourtLocation->RequiredErrorMessage)) ?>");
		<?php } ?>
		<?php if ($courtlocation_addopt->GovernorateID->Required) { ?>
			elm = this.getElements("x" + infix + "_GovernorateID");
			if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
				return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $courtlocation->GovernorateID->caption(), $courtlocation->GovernorateID->RequiredErrorMessage)) ?>");
		<?php } ?>
		<?php if ($courtlocation_addopt->Notes->Required) { ?>
			elm = this.getElements("x" + infix + "_Notes");
			if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
				return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $courtlocation->Notes->caption(), $courtlocation->Notes->RequiredErrorMessage)) ?>");
		<?php } ?>

			// Fire Form_CustomValidate event
			if (!this.Form_CustomValidate(fobj))
				return false;
	}
	return true;
}

// Form_CustomValidate event
fcourtlocationaddopt.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

	// Your custom validation code here, return false if invalid.
	return true;
}

// Use JavaScript validation or not
fcourtlocationaddopt.validateRequired = <?php echo json_encode(CLIENT_VALIDATE) ?>;

// Dynamic selection lists
fcourtlocationaddopt.lists["x_GovernorateID"] = <?php echo $courtlocation_addopt->GovernorateID->Lookup->toClientList() ?>;
fcourtlocationaddopt.lists["x_GovernorateID"].options = <?php echo JsonEncode($courtlocation_addopt->GovernorateID->lookupOptions()) ?>;

// Form object for search
</script>
<script>

// Write your client script here, no need to add script tags.
</script>
<?php $courtlocation_addopt->showPageHeader(); ?>
<?php
$courtlocation_addopt->showMessage();
?>
<form name="fcourtlocationaddopt" id="fcourtlocationaddopt" class="ew-form ew-horizontal" action="<?php echo API_URL ?>" method="post">
<?php //if ($courtlocation_addopt->CheckToken) { ?>
<input type="hidden" name="<?php echo TOKEN_NAME ?>" value="<?php echo $courtlocation_addopt->Token ?>">
<?php //} ?>
<input type="hidden" name="<?php echo API_ACTION_NAME ?>" id="<?php echo API_ACTION_NAME ?>" value="<?php echo API_ADD_ACTION ?>">
<input type="hidden" name="<?php echo API_OBJECT_NAME ?>" id="<?php echo API_OBJECT_NAME ?>" value="<?php echo $courtlocation_addopt->TableVar ?>">
<?php if ($courtlocation->CourtLocation->Visible) { // CourtLocation ?>
	<div class="form-group row">
		<label class="col-sm-2 col-form-label ew-label" for="x_CourtLocation"><?php echo $courtlocation->CourtLocation->caption() ?><?php echo ($courtlocation->CourtLocation->Required) ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="col-sm-10">
<input type="text" data-table="courtlocation" data-field="x_CourtLocation" name="x_CourtLocation" id="x_CourtLocation" size="30" maxlength="50" placeholder="<?php echo HtmlEncode($courtlocation->CourtLocation->getPlaceHolder()) ?>" value="<?php echo $courtlocation->CourtLocation->EditValue ?>"<?php echo $courtlocation->CourtLocation->editAttributes() ?>>
</div>
	</div>
<?php } ?>
<?php if ($courtlocation->GovernorateID->Visible) { // GovernorateID ?>
	<div class="form-group row">
		<label class="col-sm-2 col-form-label ew-label" for="x_GovernorateID"><?php echo $courtlocation->GovernorateID->caption() ?><?php echo ($courtlocation->GovernorateID->Required) ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="col-sm-10">
<div class="input-group">
	<select class="custom-select ew-custom-select" data-table="courtlocation" data-field="x_GovernorateID" data-value-separator="<?php echo $courtlocation->GovernorateID->displayValueSeparatorAttribute() ?>" id="x_GovernorateID" name="x_GovernorateID"<?php echo $courtlocation->GovernorateID->editAttributes() ?>>
		<?php echo $courtlocation->GovernorateID->selectOptionListHtml("x_GovernorateID") ?>
	</select>
</div>
<?php echo $courtlocation->GovernorateID->Lookup->getParamTag("p_x_GovernorateID") ?>
</div>
	</div>
<?php } ?>
<?php if ($courtlocation->Notes->Visible) { // Notes ?>
	<div class="form-group row">
		<label class="col-sm-2 col-form-label ew-label" for="x_Notes"><?php echo $courtlocation->Notes->caption() ?><?php echo ($courtlocation->Notes->Required) ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="col-sm-10">
<input type="text" data-table="courtlocation" data-field="x_Notes" name="x_Notes" id="x_Notes" size="30" maxlength="100" placeholder="<?php echo HtmlEncode($courtlocation->Notes->getPlaceHolder()) ?>" value="<?php echo $courtlocation->Notes->EditValue ?>"<?php echo $courtlocation->Notes->editAttributes() ?>>
</div>
	</div>
<?php } ?>
</form>
<?php
$courtlocation_addopt->showPageFooter();
if (DEBUG_ENABLED)
	echo GetDebugMessage();
?>
<script>

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php
$courtlocation_addopt->terminate();
?>
